Bug 693774 - [abrt] java-1.6.0-openjdk-1:1.6.0.0-52.1.9.7.fc14: __libc_message: Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.6.0-openjdk-1:1.6.0.0-52.1.9.7.fc14: __libc_message: Process /u...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:0548932c59368f3c3ca53cf921f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 10:49 EDT by Raúl Giucich
Modified: 2011-07-06 03:20 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-06 03:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (149.31 KB, text/plain)
2011-04-05 10:49 EDT, Raúl Giucich
no flags Details

  None (edit)
Description Raúl Giucich 2011-04-05 10:49:39 EDT
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 152898 bytes
cmdline: /usr/bin/java -Xms128m -Xmx384m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar -os linux -ws gtk -arch x86_64 -showsplash -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.1.R36x_v20100810/eclipse_1309.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar -exitdata 8d7801b -vm /usr/bin/java -vmargs -Xms128m -Xmx384m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar
component: java-1.6.0-openjdk
Attached file: coredump, 490868736 bytes
crash_function: __libc_message
executable: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java
kernel: 2.6.35.11-83.fc14.x86_64
package: java-1.6.0-openjdk-1:1.6.0.0-52.1.9.7.fc14
rating: 3
reason: Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1301924410
uid: 500

How to reproduce
-----
1. n/a
2.
3.
Comment 1 Raúl Giucich 2011-04-05 10:49:43 EDT
Created attachment 489995 [details]
File: backtrace
Comment 2 Deepak Bhole 2011-04-05 11:10:37 EDT
Moving to Eclipse since the error originated in Java_org_eclipse_wb_internal_os_linux_Activator__1isCompizSet in /home/rgiucich/.eclipse/793567567/configuration/org.eclipse.osgi/bundles/2126/1/.cp/os/linux/x86_64/libwbp-compiz.so


Just a side note -- this issue may be related to ORBit2.

This part of the trace:
...
#4  _int_free (av=<value optimized out>, p=0x7f595c30f280, have_lock=0) at malloc.c:4795
#5  0x0000003f7aa2caa3 in giop_connection_handle_input (lcnx=0x7f595c7994e0) at giop-recv-buffer.c:1351
#6  0x0000003f7aa48bf1 in link_connection_io_handler (gioc=<value optimized out>, #7  0x0000003f6de41e33 in g_main_dispatch (context=0x7f5950165280) at gmain.c:2149
...

Has been seen before with another app:
http://code.google.com/p/chromium/issues/detail?id=37287#c6
Comment 3 Andrew Overholt 2011-04-05 11:12:38 EDT
Hi,

Where does libwbp-compiz.so come from?  I've never seen this before.

Thanks,

Andrew
Comment 4 Peter Martuccelli 2011-06-03 08:52:27 EDT
*** Bug 694228 has been marked as a duplicate of this bug. ***
Comment 5 Alexander Kurtakov 2011-07-06 03:20:27 EDT
3 months without response from reporter. 
Closing. Please reopen when/if you have the time to help investigating the issue.

Note You need to log in before you can comment on or make changes to this bug.